GET /blueprints/tests/{guid}

Get test results for a blueprint

Get test results for a blueprint
KeyTypeExampleDescription
guidrequiredstring
"example"
Blueprint GUID
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
[
  {
    "_meta": {
      "created": 1782166695,
      "entity": 1,
      "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
      "modified": 1782166695,
      "updated": 1782166695
    },
    "action_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "blueprint_guid": "c45797061f2c15a75361042244385e96419d230ab804d7fa08cd52981fd78192",
    "created_by_user_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "data": "{\"user_created\": true, \"welcome_email_sent\": true}",
    "description": "Validates that user registration creates account and sends welcome email",
    "error": "Expected user_created to be true but got false",
    "execution_time": 1250.5,
    "is_active": true,
    "last_run": 1640995200,
    "name": "Test user registration flow",
    "prefilled_data": "{\"email\": \"test@example.com\", \"username\": \"testuser\"}"
  }
]
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprints_viewRequired scope: blueprints_view

Back to Blueprints Return to the Blueprints category to view other endpoints All API Categories Browse all available API categories